Subject: Probing broken symlinks always involves errors
From: Tim Gesthuizen <[email-masked]>
To: [email-masked]
Date: Thu, 14 Mar 2019 20:50:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
I wrote a little application that tries to probe whether a symlink
exists. The `stat` function has an undocumented optional parameter that
lets stat return #f when the file does not exist. With this argument one
can probe for any files excluding broken symlinks.
lstat does not offer this argument. Therefore I needed to use
guard-expressions around lstat to probe for broken symlinks.

So probing broken symlinks relies on errors in the control flow and is
not straight forward. Maybe we should add the optional argument that
`stat` has and document the arguments for both commands.

I am using guile 2.2.4.

Tim.